Trouble installing Transistor

Hello, I have a new PC on which I have installed Windows 8.1 and Studio Trados 2017 a week ago. I'm trying to install Transistor  but I have the Windows Functionnality window that appears, with error message that .NET Framework 3.5 (includes .NET 2. and 3.0) couldn't be installed, Error Code:0x800F0906. I have checked my Internet connection and tried to download .NET Framework 3.5 directly from the Website and install the .exe on my Desktop. However when clicking on it it still trying to download it and fails. 

I have been on Windows functionalities to activate .NET Framework 3.5, but still have same issue. However I see that I have .NET Framework 4.5 already installed with Studio 2017, so shouldn't Transistor work with this latest version of NET Framework ?

Thanks

Parents Reply Children